> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Discover

> Run a discover to generate a `catalog` of available tables and fields



## OpenAPI

````yaml get /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors/discover
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /v2/{env_id}/{flow_id}/{tenant}/linkedConnectors/discover:
    get:
      summary: Run Discover
      description: Run a discover to generate a `catalog` of available tables and fields
      operationId: linked-connectors-catalog-discover
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: query
          description: ID of connector
          required: true
          schema:
            type: string
        - name: v2_source
          in: query
          description: Whether this connector is a v2 source
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: '200'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````